> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Generates a response answer based on a query and collections from the Search API.

# Generate response answer stream

<Warning>
  **Deprecated Endpoint**: This endpoint is deprecated and no longer supported.
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/generate/answers/stream
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/generate/answers/stream:
    post:
      tags:
        - answers
      summary: Generate response answer stream
      description: Generate response answer stream.
      operationId: generate_response_answer_stream_ai_v1_kallm_generate_answers_stream_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateResponseAnswerStreamRequestBody'
        required: true
      responses:
        '200':
          description: Successfully generated response answer
          content:
            application/json:
              schema:
                type: string
                title: >-
                  Response Generate Response Answer Stream Ai V1 Gloo AI Chat
                  Generate Answers Stream Post
            text/plain:
              example:
                - This is response text.
        '400':
          description: Invalid request or prompt
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: LLM inference error or server error
      deprecated: true
components:
  schemas:
    GenerateResponseAnswerStreamRequestBody:
      properties:
        compiledPrompt:
          type: string
          title: Compiledprompt
          description: Prompt to generate a response
        forceGenerate:
          type: boolean
          title: Forcegenerate
          description: Force generation of a new response
          default: false
      type: object
      required:
        - compiledPrompt
      title: GenerateResponseAnswerStreamRequestBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````